pcl::GlasbeyLUT Class Reference

Color lookup table consisting of 256 colors structured in a maximally discontinuous manner. More...

`#include <pcl/common/colors.h>`

## Static Public Member Functions

static RGB | at (unsigned int color_id)
| Get a color from the lookup table with a given id. More...
static size_t | size ()
| Get the number of colors in the lookup table. More...
static const unsigned char * | data ()
| Get a raw pointer to the lookup table. More...

## Detailed Description

Color lookup table consisting of 256 colors structured in a maximally discontinuous manner.

Generated using the method of Glasbey et al. (see https://github.com/taketwo/glasbey)

Definition at line 54 of file colors.h.

## Member Function Documentation

## at()

static RGB pcl::GlasbeyLUT::at | ( | unsigned int | color_id | ) |

static

Get a color from the lookup table with a given id.

The id should be less than the size of the LUT (see size()).

Referenced by pcl::visualization::PointCloudColorHandlerLabelField< PointT >::getColor().

## data()

static const unsigned char* pcl::GlasbeyLUT::data | ( |  | ) |

static

Get a raw pointer to the lookup table.

## size()

static size_t pcl::GlasbeyLUT::size | ( |  | ) |

static

Get the number of colors in the lookup table.

Note: the number of colors is different from the number of elements in the lookup table (each color is defined by three bytes).

Referenced by pcl::visualization::PointCloudColorHandlerLabelField< PointT >::getColor().

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/common/include/pcl/common/colors.h